org.apache.lucene.benchmark.byTask.feeds

## Class SortableSingleDocSource

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.ContentSource
  - - org.apache.lucene.benchmark.byTask.feeds.SingleDocSource
    - - org.apache.lucene.benchmark.byTask.feeds.SortableSingleDocSource

-     public class SortableSingleDocSource
      extends SingleDocSource

  Adds fields appropriate for sorting: country, random_string and sort_field (int). Supports the following parameters:
  - sort.rng - defines the range for sort-by-int field (default 20000).
  - rand.seed - defines the seed to initialize Random with (default 13).

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource

      `BUFFER_SIZE, encoding, forever, logStep, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortableSingleDocSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocData` | `getNextDocData(DocData docData)` Returns the next `DocData` from the content source.
    `void` | `setConfig(Config config)` Sets the `Config` for this content source.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.SingleDocSource

      `close, resetInputs`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource

      `addBytes, addDoc, collectFiles, getBytesCount, getConfig, getDocsCount, getInputStream, getTotalBytesCount, getTotalDocsCount, shouldLog`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortableSingleDocSource

          public SortableSingleDocSource()

  - ### Method Detail

    - #### getNextDocData

          public DocData getNextDocData(DocData docData)
                                 throws NoMoreDataException

      Description copied from class: `ContentSource`
      Returns the next `DocData` from the content source.
      Overrides:
        `getNextDocData` in class `SingleDocSource`
      Throws:
        `NoMoreDataException`

    - #### setConfig

          public void setConfig(Config config)

      Description copied from class: `ContentSource`
      Sets the `Config` for this content source. If you override this method, you must call super.setConfig.
      Overrides:
        `setConfig` in class `ContentSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.